Disk Arrays
cancel
Showing results for 
Search instead for 
Did you mean: 

can't present EVA 3000 LUNs to host

tommy_28
Frequent Advisor

can't present EVA 3000 LUNs to host

Hi there,

I'm trying to present Luns in EVA3000 to a dl360 G3 server with fca2214dc.

The presentation process seems quite good, all hosts, Vdisks seems well, and has no error in CMDView EVA. But when I reboot the dl360, I can only see the two controllers in Q-Utilities, no LUN can be found! And thus I cann't see any lun in OS. I've switched to another fca2214, same thing happens.

I have no idea why swma can see the LUNs and hosts while the server only see hsv100 controllers.

The EVA has VCS 2006, and swma 2.0, I don't think I should upgrate it to VCS3.01, do it?

Thx.
7 REPLIES
Alzhy
Honored Contributor

Re: can't present EVA 3000 LUNs to host

Do you have SecurePath loaded on your DL360? U running Linux or Windows?
Hakuna Matata.
Steven Clementi
Honored Contributor

Re: can't present EVA 3000 LUNs to host

Also, what drivers are you using?

There was an issue with the 3.0/3.0A drivers I once encountered. You would be able to see the EVA, but nothing presented to it.

From the sounds of it, you might have older drivers. You should consider upgrading the OSM on your SMA to 2.1 and getting Command View up to 3.1. Also, you should probably start using, that the very least, the 3.0C drivers (go to 3.0E if you ONLY have an EVA or several EVA's.)


HP is stating that if you have vcs 2.006 or 3.010, you should not upgrade to 3.014, rather wait till 3.020 is fully released before you upgrade. If your in an un-configured mode and don't mind re-initializing, then I would say go for the vcs upgrade to at least 3.010. You would need to obtain the vcs code file from HP though as it is not available on the web, or it wasn't last time I checked.


Steven
Steven Clementi
HP Master ASE, Storage and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5)
RHCE
NPP3 (Nutanix Platform Professional)
tommy_28
Frequent Advisor

Re: can't present EVA 3000 LUNs to host

The qla2300 driver version is 6.07, Q-utility fw version is 1.33.

I'm using kernel 2.4 Linux. This system can see LUNs from another EVA3000 with VCS3.01, while cannot from this one.

gossh, hope I will not need to upgrade vcs...
Alzhy
Honored Contributor

Re: can't present EVA 3000 LUNs to host

Tommy,

Get in touch with HP Support or browse through this web site: http://welcome.hp.com/country/us/en/prodserv/storage.html

I could no longer recall but the 2214 has a LInux multipath driver that enables you to connect to EVA arrays even without SecrePath.

Chech the Qlogic site as well..
Hakuna Matata.
Steven Clementi
Honored Contributor

Re: can't present EVA 3000 LUNs to host

It may be a driver issue. Newer driver older vcs? They should be compatible, but could also have issues. Did you open a support call with HP on it yet?

Is the 2.006 EVA3k in heavy production?

Are they any other hosts attached to it that have problems?

I would definitely consider upgrading the VCS to at least macth your existing EVA. It is an easy process, but requires a full reboot.

It also makes things easier to troubleshoot going forward, not that you should have to troubleshoot an EVA.


Steven
Steven Clementi
HP Master ASE, Storage and Clustering
MCSE (NT 4.0, W2K, W2K3)
VCP (ESX2, Vi3, vSphere4, vSphere5)
RHCE
NPP3 (Nutanix Platform Professional)
Alzhy
Honored Contributor

Re: can't present EVA 3000 LUNs to host

Tommy.. here you go:

http://h18006.www1.hp.com/products/sanworks/softwaredrivers/multipathoptions/qlogicv70.html

From the looks of it, you need version driver 7.0 AND at least a VCS 3.010

Let us know how your config works..
Hakuna Matata.
tommy_28
Frequent Advisor

Re: can't present EVA 3000 LUNs to host

Per my observation I don't think it's a Linux driver problem, because even before the OS load, the qlogic utility(press Ctl+Q) can see the LUN assighed to him, with the VCS3.01 eva 3k, but for the VCS2.006 one, q-utility can't see the LUN.

for VCS2.0006 eva, I see a red flash in the 'heart beat' light, from swma, it turned out to be the 'battery failed.' I think It's ok, and am seeking for upgrading instructions/firmwares from 2.0006->3.01.

Hope this work out next day.

Thx.